Skip to main content
POST
Duplicate an organization team event type

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

eventTypeId
number
required
teamId
required

The team's uuid (preferred), its short-uuid (Flickr Base58) form, or its numeric id.

orgId
number
required

Body

application/json
targetTeamId
number
required

The team the copy is created in: the source event type's team, or another team of the same organization.

Example:

42

title
string
required
Maximum string length: 255
Example:

"Discovery call (EMEA)"

slug
string
required

Must not be used by another event type in the target team.

Example:

"discovery-call-emea"

description
string

Defaults to the source event type's description.

Maximum string length: 3000
lengthInMinutes
number

Defaults to the source event type's length.

Required range: x >= 1
Example:

30

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required